/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rsrtm20xx_InitAttributes (ViSession vi);
ViStatus rsrtm20xx_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsrtm20xx_CheckStatus (ViSession vi);
ViStatus rsrtm20xx_CheckStatusTimed (ViSession instrSession);
ViStatus rsrtm20xx_CheckTimedStatusCallback (ViSession vi);
ViStatus rsrtm20xx_WaitForOPC (ViSession vi, ViUInt32 maxTime);
ViInt32 rsrtm20xx_StringIndex(ViString array[], ViChar buff[]); 
ViStatus rsrtm20xx_readBinaryDataBlock (ViSession instrSession,
                                  /*@out@*/ViChar **outputBuffer, /*@out@*/ViUInt32 *byteCount);
ViStatus rsrtm20xx_invalidViInt32Range (ViSession instrSession, ViInt32 val, ViInt32 min, ViInt32 max);
ViStatus rsrtm20xx_invalidViUInt32Range (ViSession instrSession, ViUInt32 val, ViUInt32 min, ViUInt32 max);
ViStatus rsrtm20xx_invalidViReal64Range (ViSession instrSession, ViReal64 val, ViReal64 min, ViReal64 max);
ViStatus rsrtm20xx_invalidViBooleanRange (ViSession instrSession, ViBoolean val);

void rsrtm20xx_SWAP_32(unsigned char *data, long points);  
void rsrtm20xx_SWAP_16(unsigned char *data, long points);
ViStatus rsrtm20xx_dataReadTrace (ViSession instrSession,
                                 ViString trace, 
                                 ViInt32 arrayLength, 
                                 /*@out@*/ViReal64 _VI_FAR traceData[],
                                 ViPInt32 noofPoints);
ViStatus rsrtm20xx_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus rsrtm20xx_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rsrtm20xx_WaitForOPCCallback (ViSession io);
ViStatus rsrtm20xx_GetAttributeRepCapName (ViSession instrSession,
                                ViUInt32 attributeID,
                                ViString repCapNameId,
                                ViInt32 value,
                                ViInt32 bufferSize,
                                ViChar _VI_FAR repCapName[]);
ViBoolean rsrtm20xx_CheckOption (ViSession instrSession, ViString option);
ViChar *rsrtm20xx_ReplaceString (ViChar *st, ViChar *orig, ViChar *repl);
